﻿using System;

using Mvc.XForms;
using Mvc.XForms.Controls;
using Mvc.XForms.Controls.Formatters;
using Mvc.XForms.Utilities;

namespace Mvc.XForms.Examples {
	public class ExampleFormatter : DefaultFormatter {
		public const string requiredFormat = "<span>THIS IS REQUIRED</span>";

		public override string Required(ICoreControl control) {
			if (!control.Required)
				return string.Empty;

			return requiredFormat;
		}
	}
}
