﻿using System;
using System.Linq;

using Mvc.XForms.Examples.Model;

namespace Mvc.XForms.Examples.Repository {
	public interface IRepository<TEntity> where TEntity : IEntity {
		IQueryable<TEntity> AsQueryable();
		TEntity Get(long entityID);
		void Add(TEntity entity);
		void Update(TEntity entity);
		void Delete(TEntity entity);
	}
}
