﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Web.Mvc;

using Mvc.XForms.Controls.Settings;

namespace Mvc.XForms.Controls {
	public static class SecretExtensions {
		public static InputSettings Secret<TContext>(this IContainerControl<TContext> parent, Expression<Func<TContext, object>> bind) {
			var input = new Input<TContext>(parent, InputType.Secret, bind);
			return input.Settings;
        }
    }
}