﻿using System;
using System.Linq.Expressions;
using Mvc.XForms.Controls.Settings;

namespace Mvc.XForms.Controls {
	public interface IContainerControl<TContext> : IContainerControl {
		TContext ModelContext { get; set; }
		PartialSettings<TContext, T> Partial<T>(Expression<Func<TContext, T>> bind);
    }
}
