﻿using System;
using System.Collections.Generic;
using System.Linq.Expressions;

namespace Mvc.XForms {
	public interface IXFormControl : IHtmlControl {
		string ClientID { get; set; }
		string FullID { get; set; }
		string Label { get; set; }
		IList<IAction> Actions { get; set; }
		XFormControlType ControlType { get; }
		bool Relevant { get; set; }
		object ToJson();
		Expression Bind { get; set; }
	}
}
