﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mvc.XForms {
	public enum SubmissionMethod {
		Post,
		Get,

		/// <summary>
		/// Use this for enctype="multipart/form-data"
		/// </summary>
		FormDataPost,

		/// <summary>
		/// Unsupported
		/// </summary>
		Delete,

		/// <summary>
		/// Unsupported
		/// </summary>
		Put,

		/// <summary>
		/// Unsupported
		/// </summary>
		MultiPartPost,

		/// <summary>
		/// Unsupported
		/// </summary>
		UrlEncodedPost
	}
}
