﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Mvc.XForms.UI.Settings;
using System.Linq.Expressions;
using System.Web.UI.WebControls;
using Mvc.XForms.Utilities;
using System.Collections.Specialized;

namespace Mvc.XForms.UI {
	public class PagedParameters : IPagedParameters {
		public PagedParameters(NameValueCollection collection, string pageIndexKey, int pageSize) {
			PageIndexKey = pageIndexKey;
			PageIndex = this.GetPageIndex(collection);
			PageSize = pageSize;
		}

		public string PageIndexKey { get; private set; }
		public int PageIndex { get; private set; }
		public int PageSize { get; private set; }
	}
}