﻿using System;
using System.Collections.Generic;

namespace Mvc.XForms.Examples.Model {
	public class Customer : IEntity {
		public Customer() {
			Address = new Address();
			MailingLists = new List<MailingList>();
			Orders = new List<Order>();
		}

		public long ID { get; set; }
		public Guid Guid { get; set; }

		[Required]
		public string Name { get; set; }
		public Faction? Faction { get; set; }
		public bool IsActive { get; set; }
		public DateTime? DateOfBirth { get; set; }
		public Address Address { get; set; }
		public IList<MailingList> MailingLists { get; set; }
		public IList<Order> Orders { get; set; }
		public IList<string> Notes { get; set; }
	}
}