﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mvc.XForms.Controls.Formatters {
	public class FormatterFactory {
		private static FormatterFactory instance = new FormatterFactory();
		private IFormatter formatter = new DefaultFormatter();

		public static FormatterFactory Current {
            get { return instance; }
        }

		public IFormatter Formatter {
			get { return formatter; }
			set { formatter = value; }
		}
	}
}
