﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Web;
using System.Web.Mvc;

using Mvc.XForms.Controls.Formatters;
using Mvc.XForms.Controls.Settings;
using System.Web.Routing;

namespace Mvc.XForms.Controls {
	public interface IXForm : IContainerControl {
		HttpContextBase HttpContext { get; set; }
		FormCollection FormCollection { get; set; }
		ModelStateDictionary ModelState { get; set; }
		IFormatter Formatter { get; set; }
		ISubmission DefaultSubmission { get; set; }
		HtmlHelper HtmlHelper { get; set; }
	}
}
