﻿using System.Collections.Generic;

namespace Mvc.XForms.Controls {
	public abstract class HtmlControlBase {
		public string ID { get; set; }
		public CssClass CssClass { get; set; }
		public IDictionary<string, string> Attributes { get; set; }

		protected HtmlControlBase() {
			CssClass = new CssClass();
			Attributes = new Dictionary<string, string>();
		}
	}
}