﻿using System;

using Mvc.XForms.Controls;

namespace Mvc.XForms {
	public interface IAction {
		XFormAction Action { get; }
		XFormEvent Event { get; set; }
		string If { get; set; }
		string While { get; set; }

		/// <summary>
		/// Extra parameters not provided by IAction are passed as an
		/// an anonymous object to json via this method.
		/// </summary>
		object ToJson();
	}
}
