﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web.UI.WebControls;
using Mvc.XForms.UI.Settings;
using System.Web;

namespace Mvc.XForms.UI {
	public interface IGrid {
		IPaged Paged { get; }
		ISorted Sorted { get; }
		bool IsPaged { get; set; }
		string PagedUrlTemplate { get; }
		string SortedUrlTemplate { get; }
		HttpContextBase HttpContext { get; }
		IGridFormatter Formatter { get; set; }
		IPagerFormatter PagerFormatter { get; set; }
		PagerPosition PagerPosition { get; set; }
		Action NoResultHtml { get; set; }
		void Render();
	}
}
