﻿using System;
using System.Collections.Generic;
using Mvc.XForms.UI.Settings;

namespace Mvc.XForms.UI {
	public interface IGrid<T> : IGrid {
		GridSettings<T> Settings { get; }
		IGridHead<T> Head { get; }
		IEnumerable<T> Items { get; }

		Action<T> BodyAction { get; set; }
		Action<IGridHead<T>> HeadAction { get; set; }	
	}
}
