﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mvc.XForms.UI {
	public interface IPagerFormatter {
		/// <summary>
		/// Builds an HTML string representing the paging object.
		/// </summary>
		/// <param name="paged">The paged object</param>
		/// <param name="pagedUrlFormat">A url template, the {0} placeholder represents the pageIndex. An example might be "/list?sort=Name&dir=1&p={0}".</param>
		string Pager(IPaged paged, string pagedUrlTemplate);
	}
}
